function Q=hh32(A)

% given A of size 3x2, compute Q a 3x3 orthogonal matrix
% such that Q*A=[x x; 0 x; 0 0]

[H0,y0]=planerot(A(2:3,1));
A(2:3,:)=H0*A(2:3,:);
[H1,y1]=planerot(A(1:2,1));
A(1:2,:)=H1*A(1:2,:);
[H2,y2]=planerot(A(2:3,2));
A(2:3,:)=H2*A(2:3,:);

Q0=[1 0 0; [0;0] H0];
Q1=[H1 [0;0]; 0 0 1];
Q2=[1 0 0; [0;0] H2];

Q=Q2*Q1*Q0;

end